> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tasks

> Returns tasks based on the filters provided in the body. If the body is an empty object, it returns all tasks the user has access to



## OpenAPI

````yaml /openapi/product/task-center-api.yaml post /api/queues/v1/tasks/list
openapi: 3.0.3
info:
  title: Domo Task Center API
  description: >
    Task Center allows you to organize manual tasks into different queues of
    work and control who can access them. They are often used in concert with
    Workflows.


    For more background on Task Center, please see the Knowledge Base.
  version: 1.0.0
  contact:
    name: Domo Support
    url: https://www.domo.com
servers:
  - url: https://{instance}.domo.com
    description: Domo Task Center API
    variables:
      instance:
        default: your-instance
        description: Your Domo instance name
security:
  - DeveloperToken: []
paths:
  /api/queues/v1/tasks/list:
    post:
      tags:
        - Task Center API (Product)
      summary: Get Tasks
      description: >-
        Returns tasks based on the filters provided in the body. If the body is
        an empty object, it returns all tasks the user has access to
      operationId: getTasks
      parameters:
        - name: render
          in: query
          required: false
          schema:
            type: boolean
        - name: renderParts
          in: query
          required: false
          description: Comma-separated list of parts to render
          schema:
            type: string
          example: NAME,DESCRIPTION,MAPPING,METADATA,VERSIONS
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TaskListFilters'
            example:
              queueId:
                - 168ecd84-4a15-45f6-89d9-021fbbce0481
              displayType:
                - ENIGMA_FORM
                - EMAIL
                - UNKNOWN
              status:
                - OPEN
                - COMPLETED
                - VOIDED
              createdOn:
                - - '2023-10-04T12:22:54.239Z'
                  - '2024-01-02T13:22:54.239Z'
      responses:
        '200':
          description: List of tasks
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
        '401':
          description: Unauthorized - Invalid or missing authentication token
components:
  schemas:
    TaskListFilters:
      type: object
      description: Filters to apply when retrieving tasks. All properties are optional
      properties:
        queueId:
          type: array
          items:
            type: string
          description: An array of queue ids.
        displayType:
          type: array
          items:
            type: string
          description: >-
            An array of display types for tasks. Options are `ENIGMA_FORM`,
            `EMAIL`, `UNKNOWN`.
        status:
          type: array
          items:
            type: string
          description: An array of statuses. Options are `OPEN`, `COMPLETED`, `VOIDED`.
        assignedBy:
          type: array
          items:
            type: string
          description: >-
            An array of user ids corresponding to the user that assigned the
            task to.
        assignedTo:
          type: array
          items:
            type: string
          description: >-
            An array of user ids corresponding to the user that the task was
            assigned to.
        createdOn:
          type: array
          items:
            type: array
            items:
              type: string
              format: date-time
          description: Array containing date range [start, end] for createdOn
          example:
            - - '2023-10-04T12:22:54.239Z'
              - '2024-01-02T13:22:54.239Z'
        createdBy:
          type: array
          items:
            type: string
          description: >-
            An array of user ids corresponding to the user that created the
            task.
        assignedOn:
          type: array
          items:
            type: array
            items:
              type: string
              format: date-time
          description: >-
            An array containing an array with two elements a start datetime and
            and end datetime, which define the assigedOn date range.
        updatedOn:
          type: array
          items:
            type: array
            items:
              type: string
              format: date-time
          description: >-
            An array containing an array with two elements a start datetime and
            and end datetime, which define the updatedOn date range.
        completedOn:
          type: array
          items:
            type: array
            items:
              type: string
              format: date-time
          description: >-
            An array containing an array with two elements a start datetime and
            and end datetime, which define the completedOn date range.
        completedBy:
          type: array
          items:
            type: string
          description: >-
            An array of user ids corresponding to the user that completed the
            task.
        orderByString:
          type: array
          items:
            type: string
          description: >-
            An array of strings corresponding to the properties from this body
            that the list of tasks should be ordered by.
        version:
          type: array
          items:
            type: string
          description: Array of version numbers to filter by
  securitySchemes:
    DeveloperToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token
      description: Domo Developer Token for authentication

````